---
title: Animation Effects
page_title: Animation Effects - TabStrip - Kendo UI for Vue
description: "Setting the animation in Kendo UI TabStrip wrapper for Vue."
slug: animation_effects_tabstrip
position: 3
---

# Animation Effects

The TabStrip provides options for setting animations effects.

To configure the desired animation, use the `animation` prop and the composite `animation-[...]` settings.

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-tabstrip :animation-open-effects="'expand:vertical fadeIn'"
                    :animation-open-duration="500"
                    :animation-open-effects="hide"
                    :animation-open-duration="100">
        <ul>
            <li class="k-state-active">
                Paris
            </li>
            <li>
                New York
            </li>
        </ul>
        <div>
            <div>
                <p>Rainy weather in Paris.</p>
            </div>
        </div>
        <div>
            <div>
                <p>Sunny weather in New York.</p>
            </div>
        </div>
    </kendo-tabstrip>
</div>
```
```js
Vue.use(LayoutInstaller);

new Vue({
    el: "#vueapp"
})
```

## Suggested Links

* [Kendo UI TabStrip for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/tabstrip/overview)
* [API Reference of the TabStrip Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/tabstrip)
