---
title: Loading Content with AJAX
page_title: Loading Content with AJAX - TabStreip - Kendo UI for Vue
description: "Load the content of the Kendo UI TabStrip wrapper for Vue over AJAX."
slug: loading_content_ajax_tabstrip
position: 6
---

# Loading Content with AJAX

The TabStrip provides the built-in option for asynchronously loading content from an array of URLs.

The URLs are expected to return HTML fragments that can be loaded in the items of the TabStrip.

The TabStrip provides support for binding it to local data arrays.

```html-no-run
<div id="vueapp" class="vue-app">
    <kendo-tabstrip :content-urls="contentUrls">
        <ul>
            <li class="k-state-active">Dimensions &amp; Weights</li>
            <li>Engine</li>
            <li>Chassis</li>
        </ul>
	</kendo-tabstrip>
</div>
```
```js
Vue.use(LayoutInstaller);

new Vue({
    el: '#vueapp',
    data: {
        contentUrls: [
            'https://demos.telerik.com/kendo-ui/content/web/tabstrip/ajax/ajaxContent1.html',
            'https://demos.telerik.com/kendo-ui/content/web/tabstrip/ajax/ajaxContent2.html',
            'https://demos.telerik.com/kendo-ui/content/web/tabstrip/ajax/ajaxContent3.html'
        ]
    }
})
```

## Suggested Links

* [Kendo UI Data Source Component](https://docs.telerik.com/kendo-ui/framework/datasource/overview)
* [Kendo UI TabStrip for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/tabstrip/overview)
* [API Reference of the TabStrip Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/tabstrip)
